<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEquipOptionViewBase from './emequip-option-view-base.vue';

import view_form from '@widgets/emequip/quick-create-form/quick-create-form.vue';

/**
 * 设备档案选项操作视图
 *
 * @export
 * @class EMEquipOptionView
 * @extends {EMEquipOptionViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEquipOptionView extends EMEquipOptionViewBase { }
</script>